let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/s8mff1kmnc63b21ybdid2ni0fw7mzy7r-bash-4.4-p12/bin/bash";
  coreutils = "/nix/store/pvwc2pkr54z8bnh65lmbrz0h5m3pzn2h-coreutils-8.29/bin";
  bzip2 = "/nix/store/g4mdrmhk7p37xmspi9fivgqvil46jj0z-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/nf0b8v50i4wpx66b00w1d09yy9vp3lhv-gzip-1.9/bin/gzip";
  xz = "/nix/store/ghdvf8lcibwkj9964zcxqdn6sq50iq1m-xz-5.2.3-bin/bin/xz";
  tar = "/nix/store/69lqxpffc4rvkc8rv3ddifch9nwvajrn-gnutar-1.30/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/pvwc2pkr54z8bnh65lmbrz0h5m3pzn2h-coreutils-8.29/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/xmi4fylvx4qc79ji9v5q3zfy9vfdy4sv-nix-2.0/bin";
  nixPrefix = "/nix/store/xmi4fylvx4qc79ji9v5q3zfy9vfdy4sv-nix-2.0";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/xmi4fylvx4qc79ji9v5q3zfy9vfdy4sv-nix-2.0/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
